> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Contact (vCard)

> Send one or multiple contacts in vCard format

## Description

This endpoint allows you to send one or more contacts in vCard format to individual contacts or groups on WhatsApp. Contacts are sent with display name and information in vCard standard format.

## Body

```json theme={null}
{
  "sessionId": "my-session",
  "jid": "5511999999999@s.whatsapp.net",
  "contacts": [
    {
      "displayName": "João Silva",
      "vcard": "BEGIN:VCARD\nVERSION:3.0\nFN:João Silva\nTEL;type=CELL;type=VOICE;waid=5511988887777:+55 11 98888-7777\nEND:VCARD"
    }
  ]
}
```

### Body Parameters

| Property                 | Type     | Required | Description                                                                                                               |
| ------------------------ | -------- | -------- | ------------------------------------------------------------------------------------------------------------------------- |
| `sessionId`              | `string` | ✅ Yes    | Authenticated session ID that will send the contacts                                                                      |
| `jid`                    | `string` | ✅ Yes    | Recipient identifier (WhatsApp JID). Format: `5511999999999@s.whatsapp.net` for contacts or `120363XXXXX@g.us` for groups |
| `contacts`               | `array`  | ✅ Yes    | Array of contact objects                                                                                                  |
| `contacts[].displayName` | `string` | ✅ Yes    | Contact display name                                                                                                      |
| `contacts[].vcard`       | `string` | ✅ Yes    | Contact data in vCard format (version 3.0)                                                                                |

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "messageId": "3EB0XXXXXX"
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Contact(s) sent successfully
* `400` - Invalid parameters
* `401` - Unauthorized session
* `404` - Session not found

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.wappfy.com.br/api/sendContactVcard \
    -H "Content-Type: application/json" \
    -d '{
      "sessionId": "my-session",
      "jid": "5511999999999@s.whatsapp.net",
      "contacts": [
        {
          "displayName": "João Silva",
          "vcard": "BEGIN:VCARD\nVERSION:3.0\nFN:João Silva\nTEL;type=CELL;type=VOICE;waid=5511988887777:+55 11 98888-7777\nEND:VCARD"
        }
      ]
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.wappfy.com.br/api/sendContactVcard', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      sessionId: 'my-session',
      jid: '5511999999999@s.whatsapp.net',
      contacts: [
        {
          displayName: 'João Silva',
          vcard: 'BEGIN:VCARD\nVERSION:3.0\nFN:João Silva\nTEL;type=CELL;type=VOICE;waid=5511988887777:+55 11 98888-7777\nEND:VCARD'
        },
        {
          displayName: 'Maria Santos',
          vcard: 'BEGIN:VCARD\nVERSION:3.0\nFN:Maria Santos\nTEL;type=CELL;type=VOICE;waid=5511977776666:+55 11 97777-6666\nEND:VCARD'
        }
      ]
    })
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://api.wappfy.com.br/api/sendContactVcard',
      json={
          'sessionId': 'my-session',
          'jid': '5511999999999@s.whatsapp.net',
          'contacts': [
              {
                  'displayName': 'João Silva',
                  'vcard': 'BEGIN:VCARD\nVERSION:3.0\nFN:João Silva\nTEL;type=CELL;type=VOICE;waid=5511988887777:+55 11 98888-7777\nEND:VCARD'
              },
              {
                  'displayName': 'Maria Santos',
                  'vcard': 'BEGIN:VCARD\nVERSION:3.0\nFN:Maria Santos\nTEL;type=CELL;type=VOICE;waid=5511977776666:+55 11 97777-6666\nEND:VCARD'
              }
          ]
      }
  )
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json post /api/sendContactVcard
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/sendContactVcard:
    post:
      tags:
        - 📤 Chatting
      operationId: ChattingController_sendContactVcard
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageContactVcardRequest'
      responses:
        '201':
          description: ''
      security:
        - api_key: []
components:
  schemas:
    MessageContactVcardRequest:
      type: object
      properties:
        chatId:
          type: string
          description: Chat ID (WhatsApp JID)
          example: 5511999999999@c.us
        contacts:
          type: array
          description: Array of contacts in vCard format
          items:
            oneOf:
              - $ref: '#/components/schemas/VCardContact'
              - $ref: '#/components/schemas/Contact'
        reply_to:
          type: string
          description: Message ID you want to reply to
          example: null
        session:
          type: string
          example: my-session
          description: Session name (instanceName)
      required:
        - chatId
        - contacts
        - session
    VCardContact:
      type: object
      properties:
        vcard:
          type: string
          example: |-
            BEGIN:VCARD
            VERSION:3.0
            FN:Jane Doe
            ORG:Company Name;
            TEL;type=CELL;type=VOICE;waid=911111111111:+91 11111 11111
            END:VCARD
          description: Contact vCard string
      required:
        - vcard
    Contact:
      type: object
      properties:
        fullName:
          type: string
          example: John Doe
          description: Contact full name
        organization:
          type: string
          example: Company Name
          description: Contact organization
        phoneNumber:
          type: string
          example: +91 11111 11111
          description: Contact phone number
        whatsappId:
          type: string
          example: '911111111111'
          description: The whatsapp id of the contact. DO NOT add + or @c.us
        vcard:
          type: string
          default: null
      required:
        - fullName
        - phoneNumber
        - vcard
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````